NFSD(8)

NAME
nfsd - NFS service daemon

SYNOPSIS
/usr/etc/rpc.nfsd [ -f exports-file ] [ -dhnprv ] [ --debug ] [ --exports-file=file ] [ --help ] [ --allow-non-root ] [ --re-export ] [ --version ]

DESCRIPTION
The nfsd program is an NFS service daemon that handles client filesystem requests. Unlike nfsd on some other systems, nfsd operates as a normal user-level process. The server also differs from other NFS server implementations in that it mounts an entire file hierarchy not limited by the boundaries of physical file-systems. The implementation allows the clients read-only or read-write access to the file hierarchy of the server machine.

The mountd program starts an ancillary user-level mount daemon.

OPTIONS

-f or --exports-file
    This option specifies the exports file, listing the clients that this server is prepared to serve and parameters to apply to each such mount (see exports(5)). By default exports are read from /etc/exports.

-d or --debug
    Log each transaction verbosely to the syslog.

-h or --help
    Provide a short help summary.

-n or --allow-non-root
    Allow incoming NFS requests to be honored even if they do not originate from reserved IP ports. Some older NFS client implementations require this. Some newer NFS client implementations don't believe in reserved port checking.

-p or --promiscuous
    Put the server into promiscuous mode where it will serve any host on the network.

-r or --re-export
    Allow imported NFS file-systems to be exported. This can be used to turn a machine into an NFS multiplier. Caution should be used when re-exporting loopback NFS mounts because re-entering the mount point will result in deadlock between the NFS client and the NFS server.

-v or --version
    Report the current version number of the program.

SEE ALSO
exports(5), mountd(8), ugidd(8C)

AUTHORS
Mark Shand wrote the orignal unfsd. Don Becker extended unfsd to support authentication and allow read-write access and called it hnfs. Rick Sladkey added host matching, showmount -e support, mountd authentication, inetd support, and all of the portability and configuration code.